from django.contrib.auth.models import AbstractUser
from django.db import models

# Create your models here.


class UserProfile(AbstractUser):
    GENDER = ((0, '女'), (1, '男'))
    organization = models.CharField(max_length=256, verbose_name='组织', null=True, blank=True)
    gender = models.IntegerField(choices=GENDER, default=1, verbose_name='性别')
    phone_number = models.CharField(max_length=12, verbose_name='手机号', null=True, blank=True)
    head_sculpture = models.CharField(max_length=512, verbose_name='头像', blank=True, null=True)
    status = models.IntegerField(verbose_name='状态', default=0)
    recorder_number = models.CharField(max_length=256, verbose_name='执法记录仪编号', null=True, blank=True)

    class Meta:
        db_table = 'tp_user'



